version: '3'

services:
  web:
    build: ./
    command: python manage.py runserver 0.0.0.0:8000
    volumes:
      - ./:/usr/src/app/
    ports:
      - 8000:8000
    environment:
      - DEBUG=1
      - SECRET_KEY=dbaa1_i7%*3r9-=z-+_mz4r-!qeed@(-a_r(g@k8jo8y3r27%m
      - DJANGO_ALLOWED_HOSTS=localhost 127.0.0.1 [::1]
    depends_on:
      - redis
      - pgdb


  pgdb:
    image: postgres
    environment:
      - POSTGRES_DB=postgres
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=postgres
    container_name: pgdb
    volumes:
      - pgdbdata:/var/lib/postgresql/data


  redis:
    image: redis:6.2-alpine
    restart: always
    ports:
      - '6379:6379'
    volumes:
      - redisdata:/data


  celery:
    build: ./
    command: celery -A kanctovarych worker -l INFO
    volumes:
      - ./:/usr/src/app/
    environment:
      - DEBUG=1
      - SECRET_KEY=dbaa1_i7%*3r9-=z-+_mz4r-!qeed@(-a_r(g@k8jo8y3r27%m
      - DJANGO_ALLOWED_HOSTS=localhost 127.0.0.1 [::1]
    depends_on:
      - redis


  celery-beat:
    build: ./
    command: celery -A kanctovarych beat -l INFO
    volumes:
      - ./:/usr/src/app/
    environment:
      - DEBUG=1
      - SECRET_KEY=dbaa1_i7%*3r9-=z-+_mz4r-!qeed@(-a_r(g@k8jo8y3r27%m
      - DJANGO_ALLOWED_HOSTS=localhost 127.0.0.1 [::1]
    depends_on:
      - redis


  flower:
    build: ./
    command: celery -A kanctovarych flower
    volumes:
      - ./:/usr/src/app/
    ports:
      - 5555:5555
    depends_on:
      - celery
      - redis


  smtp-server:
    image: mailhog/mailhog
    expose:
      - 1025
      - 8025
    ports:
      - "1025:1025"
      - "8025:8025"
    environment:
      - PASSWORD='1234'


volumes:
  pgdbdata: null
  redisdata: null
